Name: strace
Version: 4.4
%define subver 1
Release: alt5

Summary: Tracks and displays system calls associated with a running process
License: BSD
Group: Development/Debuggers
Url: http://sourceforge.net/projects/%name/

Source: http://prdownloads.sourceforge.net/%name/%{name}_%version-%subver.tar.bz2
Patch0: %name-%version-cvs-20020608.patch.bz2
Patch1: %name-20020608-alt-revert-signal.patch
Patch2: %name-4.2-owl-man.patch
Patch3: %name-20020608-owl-fixes.patch
Patch4: %name-20020608-owl-ioctl.patch
Patch5: %name-20020608-rh-detach.patch
Patch6: %name-4.2-alt-keep_status.patch
Patch7: %name-4.4-rh-modify_ldt.patch
Patch8: %name-20020608-rh-newsyscalls.patch
Patch9: %name-4.4-rh-threadarea.patch
Patch10: %name-4.4-rh-sarestorer.patch
Patch11: %name-4.4-alt-kernel24.patch
Patch12: %name-20020608-rh-clone-fixes.patch

BuildPreReq: autoconf = 2.13, automake = 1.4, rpm-build >= 4.0.4-alt10, kernel-headers >= 2.2.17-ipl3mdk

%package utils
Summary: Processes strace output and displays a graph of invoked subprocesses
Group: Development/Debuggers
Requires: %name = %version-%release

%description
The %name program intercepts and records the system calls called and received
by a running process.  Strace can print a record of each system call, its
arguments and its return value.  Strace is useful for diagnosing problems and
debugging, as well as for instructional purposes.

Install %name if you need a tool to track the system calls
made and received by a process.

%description utils
The strace-graph Perl script processes strace -f output and displays a
graph of invoked subprocesses.  It is useful for finding out what complex
commands do.

%prep
%setup -q
%patch0 -p2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
#%patch12 -p1

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
aclocal
autoheader
autoconf
%configure
# SMP-incompatible build.
make

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_man1dir}
%makeinstall man1dir=$RPM_BUILD_ROOT%_man1dir

%files
%_bindir/strace
%_mandir/man?/*
%doc COPYRIGHT CREDITS ChangeLog NEWS PORTING README README-linux TODO

%files utils
%_bindir/strace-graph

%changelog
* Sun Nov 24 2002 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt5
- Fixed kernel-2.4.x specific uid32 syscalls handling.

* Wed Oct 30 2002 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt4
- Reverted signal.c back to revision 1.31 (as in strace-4.4);
  this should fix strace hangups (#0001326).
- Merged RH patches (4.4-8):
  + fixed modify_ldt handling;
  + added/fixed handing for the following syscalls:
    getpmsg, putpmsg, lchown32, getuid32, readahead, sendfile64,
    setxattr, fsetxattr, getxattr, fgetxattr, listxattr, flistxattr,
    removexattr, fremovexattr, sched_setaffinity, sched_getaffinity,
    futex, set_thread_area, get_thread_area;
  + added SA_RESTORER handling.

* Tue Jun 11 2002 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt3
- Updated to current CVS version (post-4.4) with an additional fix for
  displaying all possible ioctl names when there's more than one match,
  some build fixes, and a RH-derived patch for detaches from
  multi-threaded programs (Owl).
- Changed group tag to "Development/Debuggers".

* Thu May 23 2002 Stanislav Ievlev <inger@altlinux.ru> 4.4-alt2
- Added subpackage to remove deps on perl-base in main package.

* Thu Aug 30 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.4-alt1
- 4.4

* Tue Oct 24 2000 Dmitry V. Levin <ldv@fandra.org> 4.2-ipl3mdk
- Enabled all LFS patches and rebuilt with LFS-aware kernel-headers.

* Tue Oct 17 2000 Dmitry V. Levin <ldv@fandra.org> 4.2-ipl2mdk
- Added fcntl64 patch.

* Tue Oct 03 2000 Dmitry V. Levin <ldv@fandra.org> 4.2-ipl1mdk
- Merged in RH patches.
- Added keep_status feature.

* Tue Mar 28 2000 Dmitry V. Levin <ldv@fandra.org>
- 4.2

* Sat Nov 27 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Fri Nov 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.1.

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Commented out KERN_SECURELVL from system.c (this is not in sysctl.h in
  2.2.13 kernel)
- Build Release

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.00.

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 3.99.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 16)

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- vfork est arrive!

* Tue Feb  9 1999 Christopher Blizzard <blizzard@redhat.com>
- Add patch to follow clone() syscalls, too.

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch to build alpha/sparc with glibc 2.1.

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- fix typo (printf, not tprintf).

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- fix compile problem on sparc.

* Tue Aug 18 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Mon Jul 20 1998 Cristian Gafton <gafton@redhat.com>
- added the umoven patch from James Youngman <jay@gnu.org>
- fixed build problems on newer glibc releases

* Mon Jun 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
